import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  userId: z.literal(true).optional(),
  fileSize: z.literal(true).optional(),
  folderId: z.literal(true).optional(),
  totalChunks: z.literal(true).optional()
}).strict();
export const CloudFileAvgAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileAvgAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileAvgAggregateInputType>;
export const CloudFileAvgAggregateInputObjectZodSchema = makeSchema();
